Package org.silverpeas.components.resourcesmanager.repository

# Class CategoryJpaRepository

java.lang.Object
org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository<Category>
org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<Category>
org.silverpeas.components.resourcesmanager.repository.CategoryJpaRepository

All Implemented Interfaces:
  `CategoryRepository`, `org.silverpeas.core.persistence.datasource.repository.EntityRepository<Category>`, `org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<Category>`

@Repository public class CategoryJpaRepository extends org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<Category> implements CategoryRepository

Author:
  ebonnet

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CategoryJpaRepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Category>`
  `findCategoriesByInstanceId(String instanceId)`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository

  `deleteByComponentInstanceId, saveAndFlush`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository

  `contains, countByCriteria, countFromJpqlString, delete, deleteById, deleteFromJpqlQuery, deleteFromNamedQuery, findByCriteria, findByNamedQuery, findFirstByNamedQuery, flush, getAll, getById, getById, getEntityClass, getEntityManager, getFromJpqlString, getFromJpqlString, getFromNamedQuery, getFromNamedQuery, getIdentifierConverter, getMaximumItemsInClause, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromNamedQuery, listFromNamedQuery, newNamedParameters, noParameter, save, setMaximumItemsInClause, split, streamByNamedQuery, streamByNamedQuery, streamFromJpqlString, streamFromJpqlString, updateFromJpqlQuery, updateFromNamedQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

  `contains, delete, delete, deleteByComponentInstanceId, deleteById, deleteById, findByCriteria, flush, getAll, getById, getById, getById, save, save, save`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush

  `saveAndFlush`

- ## Constructor Details

  - ### CategoryJpaRepository

    public CategoryJpaRepository()

- ## Method Details

  - ### findCategoriesByInstanceId

    public List<Category> findCategoriesByInstanceId(String instanceId)
    Specified by:
      `findCategoriesByInstanceId` in interface `CategoryRepository`